import kotlinx.coroutines.test.runTest
import net.sergeych.crypto2.createContrail
import net.sergeych.crypto2.initCrypto
import net.sergeych.crypto2.isValidContrail
import kotlin.test.Test
import kotlin.test.assertEquals
import kotlin.test.assertFalse
import kotlin.test.assertTrue

class ToolsTest {
    @Test
    fun testContrails() = runTest {
        initCrypto()
        val c = createContrail(ubyteArrayOf(1u, 2u, 3u, 4u, 5u))
        assertEquals(134u, c[0])
        assertTrue { isValidContrail(c) }
        c[2] = 11u
        assertFalse { isValidContrail(c) }
    }
}